-
    headers: 'User-Agent: J-PHONE/3.0/J-SH10'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sharp, model: J-SH10, carrier: Softbank } }
    readable: 'a Sharp J-SH10'
-
    headers: 'User-Agent: J-PHONE/4.3/V604SH/SNJSHQ2099925 SH/0009aa Profile/MIDP-1.0 Configuration/CLDC-1.0 Ext-Profile/JSCL-1.3.2'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sharp, model: V604SH, carrier: Softbank } }
    readable: 'a Sharp V604SH'
-
    headers: 'User-Agent: J-PHONE/4.3/V603SH/SNJSHM3102091 SH/0007aa Profile/MIDP-1.0 Configuration/CLDC-1.0 Ext-Profile/JSCL-1.3.2'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sharp, model: V603SH, carrier: Softbank } }
    readable: 'a Sharp V603SH'
-
    headers: 'User-Agent: J-PHONE/5.0/V801SA/SN123456789012345 SA/0001JP Profile/MIDP-1.0 Configuration/CLDC-1.0'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sanyo, model: V801SA, carrier: Softbank } }
    readable: 'a Sanyo V801SA'
-
    headers: 'User-Agent: J-PHONE/4.2/V601SH/SNJSHH1226872 SH/0004aa Profile/MIDP-1.0 Configuration/CLDC-1.0 Ext-Profile/JSCL-1.2.1'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sharp, model: V601SH, carrier: Softbank } }
    readable: 'a Sharp V601SH'
-
    headers: 'User-Agent: J-PHONE/4.1/J-SA51_a/SNJSAA1000513 SA/0001JP Profile/MIDP-1.0 Configuration/CLDC-1.0 Ext-Profile/JSCL-1.1.1'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sanyo, model: J-SA51, carrier: Softbank } }
    readable: 'a Sanyo J-SA51'
-
    headers: 'User-Agent: J-PHONE/3.0/V301T'
    result: { device: { type: mobile, subtype: feature, manufacturer: Toshiba, model: V301T, carrier: Softbank } }
    readable: 'a Toshiba V301T'
-
    headers: 'User-Agent: J-PHONE/3.0/J-SH05'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sharp, model: J-SH05, carrier: Softbank } }
    readable: 'a Sharp J-SH05'
-
    headers: 'User-Agent: J-PHONE/2.0/J-P03'
    result: { device: { type: mobile, subtype: feature, manufacturer: Panasonic, model: J-P03, carrier: Softbank } }
    readable: 'a Panasonic J-P03'
-
    headers: 'User-Agent: J-PHONE/5.0/V801SH/SN000000000 SH/0005aa Profile /MIDP-1.0 Configuration/CLDC-1.0 Ext-Profile/JSCL-1.1.0'
    result: { device: { type: mobile, subtype: feature, manufacturer: Sharp, model: V801SH, carrier: Softbank } }
    readable: 'a Sharp V801SH'
-
    headers: 'User-Agent: SoftBank/1.0/103P/PJP10/SN352788051966244 Browser/NetFront/3.4 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Panasonic, model: 103P, carrier: Softbank } }
    readable: 'NetFront 3.4 on a Panasonic 103P'
-
    headers: 'User-Agent: SoftBank/1.0/708SC/SCJ001/SN543210987654321 Browser/NetFront/3.3'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Samsung, model: 708SC, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Samsung 708SC'
-
    headers: 'User-Agent: SoftBank/1.0/932SH/SHJ003/SN353700022260911 Browser/NetFront/3.5 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.5', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 932SH, carrier: Softbank } }
    readable: 'NetFront 3.5 on a Sharp 932SH'
-
    headers: 'User-Agent: SoftBank/1.0/910T/TJ001/SN Browser/NetFront/3.3 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Toshiba, model: 910T, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Toshiba 910T'
-
    headers: 'User-Agent: SoftBank/1.0/911SH/SHJ001/SN353678010678288 Browser/NetFront/3.3 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 911SH, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Sharp 911SH'
-
    headers: 'User-Agent: Vodafone/1.0/V804SH/SHJ001/SN0000000000000 Browser/UP.Browser/7.0.2.1 Profile/MIDP-2.0 Configuration/CLDC-1.1 Ext-J-Profile/JSCL-1.3.2 Ext-V-Profile/VSCL-2.0.0'
    result: { browser: { name: Openwave, version: '7.0', type: browser }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: V804SH, carrier: Softbank } }
    readable: 'Openwave 7.0 on a Sharp V804SH'
-
    headers: 'User-Agent: Vodafone/1.0/V905SH/SHJ001 Browser/VF-NetFront/3.3 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: V905SH, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Sharp V905SH'
-
    headers: 'User-Agent: Mozilla/4.08 (811SH;SoftBank;SN359798003583289) NetFront/3.3'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 811SH, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Sharp 811SH'
-
    headers: 'User-Agent: Mozilla/4.08 (815SH;SoftBank) NetFront/3.4'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 815SH, carrier: Softbank } }
    readable: 'NetFront 3.4 on a Sharp 815SH'
-
    headers: 'User-Agent: Mozilla/4.08 (830CA;SoftBank;SN353718020756383) NetFront/3.4'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Casio, model: 830CA, carrier: Softbank } }
    readable: 'NetFront 3.4 on a Casio 830CA'
-
    headers: 'User-Agent: Mozilla/4.08 (840Pe;SoftBank;SN359013030797930) NetFront/3.4'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Panasonic, model: 840Pe, carrier: Softbank } }
    readable: 'NetFront 3.4 on a Panasonic 840Pe'
-
    headers: 'User-Agent: Mozilla/4.08 (940P;SoftBank;SN353165030880706) NetFront/3.4'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Panasonic, model: 940P, carrier: Softbank } }
    readable: 'NetFront 3.4 on a Panasonic 940P'
-
    headers: 'User-Agent: Mozilla/5.0 (202SHe;SoftBank;SN353468050706037) NetFront/3.5'
    result: { browser: { name: NetFront, version: '3.5', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 202SHe, carrier: Softbank } }
    readable: 'NetFront 3.5 on a Sharp 202SHe'
-
    headers: 'User-Agent: Mozilla/5.0 (004SH;SoftBank;SN353021044176351) NetFront/3.5'
    result: { browser: { name: NetFront, version: '3.5', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 004SH, carrier: Softbank } }
    readable: 'NetFront 3.5 on a Sharp 004SH'
-
    headers: 'User-Agent: Mozilla/5.0 (831SHs;SoftBank;SN359401026027380) NetFront/3.5'
    result: { browser: { name: NetFront, version: '3.5', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 831SHs, carrier: Softbank } }
    readable: 'NetFront 3.5 on a Sharp 831SHs'
-
    headers: 'User-Agent: Mozilla/5.0 (841SH;SoftBank;SN359305032972549) NetFront/3.5'
    result: { browser: { name: NetFront, version: '3.5', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 841SH, carrier: Softbank } }
    readable: 'NetFront 3.5 on a Sharp 841SH'
-
    headers: 'User-Agent: Mozilla/5.0 (945SH;SoftBank;SN359323030706330) NetFront/3.5'
    result: { browser: { name: NetFront, version: '3.5', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 945SH, carrier: Softbank } }
    readable: 'NetFront 3.5 on a Sharp 945SH'
-
    headers: 'User-Agent: SoftBank/1.0/813SHe/SHJ002 Browser/NetFront/3.3 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 813SH, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Sharp 813SH'
-
    headers: 'User-Agent: SoftBank/1.0/812SHs/SHJ001/SN353688015624831 Browser/NetFront/3.3 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.3', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 812SH, carrier: Softbank } }
    readable: 'NetFront 3.3 on a Sharp 812SH'
-
    headers: 'User-Agent: SoftBank/1.0/830SHp/SHJ001/SN359424020396056 Browser/NetFront/3.4 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    result: { browser: { name: NetFront, version: '3.4', type: browser }, engine: { name: NetFront }, device: { type: mobile, subtype: feature, manufacturer: Sharp, model: 830SH, carrier: Softbank } }
    readable: 'NetFront 3.4 on a Sharp 830SH'
-
    headers: 'User-Agent: Vodafone/1.0/0vodafone810/B626 Browser/Obigo-browser/Q05A MMS/Obigo-MMS/Q05A SyncML/HW-SyncML/1.0 Java/HWJA/1.0 Profile/MIDP-2.0 Configuration/CLDC-1.1'
    readable: 'Obigo Q 5A on a Vodafone 810'
    result: { browser: { name: 'Obigo Q', version: { value: '5', alias: 5A }, type: browser }, device: { type: mobile, subtype: feature, manufacturer: Vodafone, model: '810' } }
